- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes

# QMotifStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qmotifstyle.h.

`#include <qmotifstyle.h>`

Inheritance diagram for QMotifStyle:
[legend]

List of all members.

## Public Member Functions
| QMotifStyle (bool useHighlightCols=false)
virtual | ~QMotifStyle ()
void | setUseHighlightColors (bool)
bool | useHighlightColors () const
void | polish (QPalette &)
void | polish (QWidget *)
void | unpolish (QWidget *)
void | polish (QApplication *)
void | unpolish (QApplication *)
void | drawPrimitive (PrimitiveElement pe, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
void | drawControl (ControlElement element, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
void | drawComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, QPainter *p, const QWidget *w=0) const
QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *widget=0) const
int | pixelMetric (PixelMetric metric, const QStyleOption *option=0, const QWidget *widget=0) const
QSize | sizeFromContents (ContentsType ct, const QStyleOption *opt, const QSize &contentsSize, const QWidget *widget=0) const
QRect | subElementRect (SubElement r, const QStyleOption *opt, const QWidget *widget=0) const
QPixmap | standardPixmap (StandardPixmap standardPixmap, const QStyleOption *opt, const QWidget *widget=0) const
int | styleHint (StyleHint hint, const QStyleOption *opt=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const
bool | event (QEvent *)
QPalette | standardPalette () const
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *opt=0, const QWidget *widget=0) const
## Protected Member Functions
| QMotifStyle (QMotifStylePrivate &dd, bool useHighlightCols=false)
void | timerEvent (QTimerEvent *event)
bool | eventFilter (QObject *o, QEvent *e)
## Protected Attributes
QPointer< QFocusFrame > | focus

## Constructor & Destructor Documentation

QMotifStyle | ( | bool | useHighlightCols = `false` | ) | `[explicit]`

virtual ~QMotifStyle | ( |  | ) | `[virtual]`

QMotifStyle | ( | QMotifStylePrivate & | dd,
|  | bool | useHighlightCols = `false`
| ) |  | `[protected]`

## Member Function Documentation

void setUseHighlightColors | ( | bool |  | ) |

Search for all occurrences

bool useHighlightColors | ( |  | ) | const

Search for all occurrences

void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void polish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void unpolish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void polish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void unpolish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

void drawPrimitive | ( | PrimitiveElement | pe,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCDEStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCDEStyle.

void drawComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | SubControl | sc,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int pixelMetric | ( | PixelMetric | metric,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCDEStyle.

QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | opt,
|  | const QSize & | contentsSize,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QRect subElementRect | ( | SubElement | r,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QPixmap standardPixmap | ( | StandardPixmap | standardPixmap,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int styleHint | ( | StyleHint | hint,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

QPalette standardPalette | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCDEStyle.

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCDEStyle.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool eventFilter | ( | QObject * | o,
|  | QEvent * | e
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Member Data Documentation

QPointer<QFocusFrame> focus `[protected]`

Search for all occurrences

Definition at line 110 of file qmotifstyle.h.

The documentation for this class was generated from the following file:

- QtGui/qmotifstyle.h

QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle
QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle QMotifStyle